Name: edeploy
Version: 1.11.0
Release: 2%{?dist}
BuildArch: noarch
Summary: Linux systems provisioning and updating made easy
Group: System Environment/Daemons
License: ASL 2.0
URL: https://github.com/enovance/edeploy/
Source0: https://github.com/enovance/edeploy/archive/%{version}.tar.gz
BuildRequires: python
BuildRequires: python-sphinx
PreReq: httpd
Requires: httpd
Requires: python-hardware
Requires: python-netaddr
Requires: python-pexpect

%description

eDeploy is a tool to provision and update systems (physical or
virtual) using trees of files instead of packages or VM images.

%package devel
Summary: Utilities to build eDeploy roles
Group: Development/Tools
Requires: make

%description devel

Utilities to build eDeploy roles and VM images.

%prep
%setup -q -n %{name}-%{version}

%build
cd docs
make html

%install
%{__make} DESTDIR=%{buildroot} WWW_USER=$(whoami) WWW_DIR=%{buildroot}%{_datadir}/%{name}/cgi-bin install-www install-build SHARE_BUILD_DIR=%{buildroot}%{_sharedstatedir}/edeploy-devel
install server/upload-health.py %{buildroot}%{_datadir}/%{name}/cgi-bin/
install server/try_match %{buildroot}%{_datadir}/%{name}/
install server/verify-cmdb.py %{buildroot}%{_datadir}/%{name}/
rm -rf %{buildroot}%{_sharedstatedir}/edeploy-devel/sources/lshw %{buildroot}/usr/share/ansible docs/build/html/.buildinfo
chmod 644 %{buildroot}%{_sharedstatedir}/edeploy-devel/repositories
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d
cat > %{buildroot}%{_sysconfdir}/httpd/conf.d/edeploy.conf <<EOF
<IfModule alias_module>
    ScriptAlias /edeploy/ "%{_datadir}/%{name}/cgi-bin/"
</IfModule>

<Directory "%{_datadir}/%{name}/cgi-bin/">
    AllowOverride None
    Options None
    Require all granted
</Directory>
EOF

%files
%doc README.rst docs/build/html
%license LICENSE
%config(noreplace) %{_sysconfdir}/edeploy.conf
%config(noreplace) %{_sysconfdir}/httpd/conf.d/edeploy.conf
%{_datadir}/%{name}/*.py*
%{_datadir}/%{name}/try_match
%{_datadir}/%{name}/cgi-bin/upload*.py*
%dir %{_sharedstatedir}/edeploy
%ghost %attr(0644, apache, apache) %{_sharedstatedir}/edeploy/*.cmdb
%{_sharedstatedir}/edeploy/*.configure
%{_sharedstatedir}/edeploy/*.specs
%ghost %attr(0644, apache, apache) %{_sharedstatedir}/edeploy/state

%files devel
%doc README.rst
%{_sharedstatedir}/edeploy-devel

%changelog
* Wed May 20 2015 Frederic Lepied <frederic.lepied@redhat.com> - 1.11.0-2
- own %{_sharedstatedir}/edeploy
- prereq httpd to have the apache user created before installing
the package

* Tue May 19 2015 Frederic Lepied <frederic.lepied@redhat.com> - 1.11.0-1
- new upstream version

* Thu May 07 2015 Frederic Lepied <frederic.lepied@redhat.com> - 1.10.0-1
- new upstream version

* Wed Apr 15 2015 Frederic Lepied <frederic.lepied@redhat.com> - 1.9.0-1
- new upstream version

* Wed Mar 18 2015 Frederic Lepied <frederic.lepied@redhat.com> - 1.8.0-1
- initial packaging

